### Class

# Ide SymbolNode

#### Description

    class Ide.SymbolNode : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- IdeLspSymbolNode

#### Instance methods

###### ide_symbol_node_get_flags

No description available.

###### ide_symbol_node_get_kind

No description available.

###### ide_symbol_node_get_location_async

No description available.

###### ide_symbol_node_get_location_finish

Completes the request to gets the location for the symbol node.

Available since: 3.32

###### ide_symbol_node_get_name

No description available.

###### ide_symbol_node_get_use_markup

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.SymbolNode:flags

No description available.

###### Ide.SymbolNode:kind

No description available.

###### Ide.SymbolNode:name

No description available.

###### Ide.SymbolNode:use-markup

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSymbolNodeClass {
      GObjectClass parent;
      void (* get_location_async) (
        IdeSymbolNode* self,
        GCancellable* cancellable,
        GAsyncReadyCallback callback,
        gpointer user_data
      );
      IdeLocation* (* get_location_finish) (
        IdeSymbolNode* self,
        GAsyncResult* result,
        GError** error
      );

    }

###### Class members

`parent` |
    GObjectClass
| No description available.
`get_location_async` |
    void (* get_location_async) (
        IdeSymbolNode* self,
        GCancellable* cancellable,
        GAsyncReadyCallback callback,
        gpointer user_data
      )
| No description available.
`get_location_finish` |
    IdeLocation* (* get_location_finish) (
        IdeSymbolNode* self,
        GAsyncResult* result,
        GError** error
      )
| No description available.

#### Virtual methods

###### Ide.SymbolNodeClass.get_location_async

No description available.

###### Ide.SymbolNodeClass.get_location_finish

Completes the request to gets the location for the symbol node.

Available since: 3.32